Skip to:
Content
Pages
Categories
Search
Top
Bottom

Unable to upgrade 0.8.1 to 0.9.0.2

  • I’m trying to upgrade BBPress 0.8.1 to 0.9.0.2.

    I’ve followed the instructions to the letter and all is fine until I try and login as admin.

    I get the message:

    “Database upgrade required. It looks like your database is out-of-date. You can update it here”. When I click “Upgrade Database” after 10 minutes or more I get a php script timeout error.

    Any ideas?

Viewing 2 replies - 1 through 2 (of 2 total)

  • chrishajer
    Participant

    @chrishajer

    Interesting. Do you have access to any sort of MySQL logs? I doubt you will be able to see this from a browser since the script is just timing out.

    I have not tried to upgrade my old installation to a current one so I have not experienced this. Now I’m scared :-)


    PaulMyatt
    Member

    @paulmyatt

    The errors I saw were:

    “bbPress database error: [Duplicate key name 'user_nicename']

    ALTER TABLE wp_users ADD UNIQUE KEY user_nicename (user_nicename)

    Fatal error: Maximum execution time of 600 seconds exceeded in /var/www/html/forum/bb-admin/upgrade-functions.php on line 499″

    After seeing that I had a look at the WP user table to examine user_nicename. I renamed the field and reran the upgrade. This time I got the error:

    “Fatal error: Maximum execution time of 600 seconds exceeded in /var/www/html/forum/bb-includes/functions.php on line 2644″.

    WordPress is version 2.5.1. MySQL is “4.1.22-standard”.

Viewing 2 replies - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.